User Tools

Site Tools


install_aircrack

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
install_aircrack [2018/04/16 01:26]
mister_x [Compiling with AirPcap support (cygwin only)] Cosmetic fix for --
install_aircrack [2018/12/10 02:54] (current)
mister_x 1.5.2
Line 1: Line 1:
 ====== Installing Aircrack-ng from Source ====== ====== Installing Aircrack-ng from Source ======
 +
 +Legacy information can be found [[install_aircrack_old|here]].
 +
 ===== Requirements ===== ===== Requirements =====
  
Line 7: Line 10:
   * shtool   * shtool
   * OpenSSL development package or libgcrypt development package.   * OpenSSL development package or libgcrypt development package.
-  * pkg-config ​(pkgconf on FreeBSD)+  * pkg-config
  
 ==== Linux ==== ==== Linux ====
Line 19: Line 22:
  
   * w32api is required   * w32api is required
-  * Airpcap: developer directory from the Airpcap CD. 
   * if using clang, libiconv and libiconv-devel   * if using clang, libiconv and libiconv-devel
-  * make and Standard C++ Library development package ​(Debian: libstdc++-dev)+  * make and Standard C++ Library development package
  
 ==== OS X ==== ==== OS X ====
  
-Install the following via macports:+Install the following via Homebrew (brew):
  
-  * gmake 3.81 +  * autoconf 
-  * sqlite3+  * automake 
 +  * libtool 
 +  * openssl 
 +  * shtool 
 +  * pkg-config
  
 ==== FreeBSD, OpenBSD, NetBSD, Solaris ==== ==== FreeBSD, OpenBSD, NetBSD, Solaris ====
Line 38: Line 44:
   * pcre   * pcre
   * sqlite3   * sqlite3
-  * gcc5 optional (50-70% speed gains compared to gcc 4)+  * gcc7 optional (50-70% speed gains with gcc 5 compared to gcc 4)
  
 ===== Optional stuff ===== ===== Optional stuff =====
Line 44: Line 50:
   * If you want SSID filtering with regular expression in airodump-ng (-essid-regex) pcre development package is required.   * If you want SSID filtering with regular expression in airodump-ng (-essid-regex) pcre development package is required.
   * If you want to use airolib-ng and '​-r'​ option in aircrack-ng,​ SQLite development package >= 3.3.17 (3.6.X version or better is recommended)   * If you want to use airolib-ng and '​-r'​ option in aircrack-ng,​ SQLite development package >= 3.3.17 (3.6.X version or better is recommended)
-  * If you want to use Airpcap, the '​developer'​ directory from the CD is required.+  * If you want to use Airpcap, the '​developer'​ directory from the CD is required. It can be downloaded [[https://​support.riverbed.com/​content/​support/​software/​steelcentral-npm/​airpcap.html|here]].
   * For best performance on FreeBSD (50-70% more), install gcc5 via: pkg install gcc5 Then compile with: gmake CC=gcc5 CXX=g++5   * For best performance on FreeBSD (50-70% more), install gcc5 via: pkg install gcc5 Then compile with: gmake CC=gcc5 CXX=g++5
   * rfkill   * rfkill
 +  * CMocka
 +  * hwloc: strongly recommended,​ especially on high core count systems where it may give a serious performance boost
  
  
Line 57: Line 65:
 ==== Current version ==== ==== Current version ====
  
-   ​wget ​http://​download.aircrack-ng.org/​aircrack-ng-1.2.tar.gz +   ​wget ​https://​download.aircrack-ng.org/​aircrack-ng-1.5.2.tar.gz 
-   tar -zxvf aircrack-ng-1.2.tar.gz +   tar -zxvf aircrack-ng-1.5.2.tar.gz 
-   cd aircrack-ng-1.2+   cd aircrack-ng-1.5.2
    ​autoreconf -i    ​autoreconf -i
    ​./​configure --with-experimental    ​./​configure --with-experimental
Line 70: Line 78:
   - Append '- -with-airpcap=../​developer'​ parameter to configure:   - Append '- -with-airpcap=../​developer'​ parameter to configure:
  
-==== Compiling on *BSD/OSX ====+==== Compiling on *BSD ====
  
-Commands are exactly the same as Linux but instead of **make**, use **gmake** (or **CC=gcc5** or any other installed ​gcc version).+Commands are exactly the same as Linux but instead of **make**, use **gmake** (with **CC=gcc5 ​CXX=g++5** or any more recent ​gcc version ​installed).
  
 +==== Compiling on OS X ====
 +
 +Commands are exactly the same as Linux
 ==== Latest Git (development) Sources ==== ==== Latest Git (development) Sources ====
  
-**Note:** Compilation parameters can also be used with the sources from our subversion ​repository.+**Note:** Compilation parameters can also be used with the sources from our git repository.
  
   git clone https://​github.com/​aircrack-ng/​aircrack-ng   git clone https://​github.com/​aircrack-ng/​aircrack-ng
   cd aircrack-ng   cd aircrack-ng
   autoreconf -i   autoreconf -i
-  ./configure+  ./​configure ​--with-experimental
   make   make
   make install   make install
  
-==== Legacy ==== 
- 
-   wget http://​download.aircrack-ng.org/​aircrack-ng-0.9.3.tar.gz 
-   tar -zxvf aircrack-ng-0.9.3.tar.gz 
-   cd aircrack-ng-0.9.3 
-   make 
-   make install 
  
 ==== ./configure flags ==== ==== ./configure flags ====
Line 97: Line 101:
 When configuring,​ the following flags can be used and combined to adjust the suite to your choosing: When configuring,​ the following flags can be used and combined to adjust the suite to your choosing:
  
-  * **with-airpcap=DIR**:​ needed for supporting airpcap devices on windows (cygwin or msys2 only) Replace DIR above with the absolute location to the root of the extracted source code from the Airpcap CD or downloaded SDK available online.+  * **with-airpcap=DIR**:​ needed for supporting airpcap devices on windows (cygwin or msys2 only) Replace DIR above with the absolute location to the root of the extracted source code from the Airpcap CD or downloaded SDK available online. ​Required on Windows to build besside-ng, besside-ng-crawler,​ easside-ng, tkiptun-ng and wesside-ng when building experimental tools. The developer pack (Compatible with version 4.1.1 and 4.1.3) can be downloaded at https://​support.riverbed.com/​content/​support/​software/​steelcentral-npm/​airpcap.html
  
-  * **with-experimental**:​ needed to compile tkiptun-ng, easside-ng ​(and buddy-ngand wesside-ng. ​Building besside-ng-crawler requires LibPCAP (development package). On debian based distro, install libpcap-dev+  * **with-experimental**:​ needed to compile tkiptun-ng, easside-ngbuddy-ng, buddy-ng-crawler,​ airventriloquist ​and wesside-ng. ​libpcap ​development package ​is also required to compile most of the tools. If not present, not all experimental tools will be built. On Cygwin, libpcap is not present and the Airpcap SDK replaces it. See --with-airpcap option above. On debian based distro, install libpcap-dev
  
-  * **with-ext-scripts**:​ needed to build airoscript-ng,​ versuck-ng, airgraph-ng and airdrop-ng. Note: Experimental. ​Each script has its own dependences. Note: It's only required in install phase.+  * **with-ext-scripts**:​ needed to build airoscript-ng,​ versuck-ng, airgraph-ng and airdrop-ng. Note: Each script has its own dependencies. Note: It's only required in install phase.
  
   * **with-gcrypt**:​ Use libgcrypt crypto library instead of the default OpenSSL. And also use internal fast sha1 implementation (borrowed from GIT) Dependency (Debian): libgcrypt20-dev   * **with-gcrypt**:​ Use libgcrypt crypto library instead of the default OpenSSL. And also use internal fast sha1 implementation (borrowed from GIT) Dependency (Debian): libgcrypt20-dev
Line 111: Line 115:
   * **disable-libnl**:​ Set-up the project to be compiled without libnl (1 or 3). Linux option only.   * **disable-libnl**:​ Set-up the project to be compiled without libnl (1 or 3). Linux option only.
  
 +  * **without-opt**:​ Do not enable stack protector (on GCC 4.9 and above).
 +
 +  * **enable-shared**:​ Make OSdep a shared library.
 +
 +  * **disable-shared**:​ When combined with enable-static,​ it will statically compile Aircrack-ng.
 +
 +  * **with-avx512**:​ On x86, add support for AVX512 instructions in aircrack-ng. Only use it when the current CPU supports AVX512.
 +
 +  * **with-static-simd=**:​ Compile a single optimization in aircrack-ng binary. Useful when compiling statically and/or for space-constrained devices. Valid SIMD options: x86-sse2, x86-avx, x86-avx2, x86-avx512, ppc-altivec,​ ppc-power8, arm-neon, arm-asimd. Must be used with --enable-static --disable-shared. When using those 2 options, the default is to compile the generic optimization in the binary. **--with-static-simd** merely allows to choose another one.
  
 ===== Troubleshooting Tips ===== ===== Troubleshooting Tips =====
Line 139: Line 152:
 It should show something like: It should show something like:
  
-   /usr/kerberos/sbin:/usr/kerberos/bin:/usr/​lib/​ccache:/​usr/​local/sbin:/usr/local/bin:/sbin:/​bin:/​usr/​sbin:/​usr/​bin:/​root/bin+   /usr/local/sbin:/usr/local/​bin:/​usr/​sbin:/​usr/​bin:/​sbin:/​bin
  
 At this point compare the actual locations with the directories in your PATH. If the directories are missing from your PATH then you have a few options: At this point compare the actual locations with the directories in your PATH. If the directories are missing from your PATH then you have a few options:
Line 145: Line 158:
   * Add the directories to your PATH.  See the one or more of the following web sites for details of how to do this:   * Add the directories to your PATH.  See the one or more of the following web sites for details of how to do this:
  
-   http://​www.linuxheadquarters.com/​howto/​basic/​path.shtml +   https://​www.cyberciti.biz/​faq/​howto-print-path-variable/​
-   http://​www.cyberciti.biz/​faq/​howto-print-path-variable/​+
    ​http://​www.troubleshooters.com/​linux/​prepostpath.htm    ​http://​www.troubleshooters.com/​linux/​prepostpath.htm
-   ​http://​linux.about.com/​od/​linux101/​l/​blnewbie3_1_4.htm 
  
   * Change to the particular directory with "​cd"​ and then run the commands from within the directory. Don't forget to add "​./"​ in front of each command.   * Change to the particular directory with "​cd"​ and then run the commands from within the directory. Don't forget to add "​./"​ in front of each command.
Line 154: Line 165:
   * Specify the full path for each command. ​ So if Aircrack-ng is located in the "/​usr/​local/​bin"​ directory then run the command as "/​usr/​local/​bin/​aircrack-ng"​.   * Specify the full path for each command. ​ So if Aircrack-ng is located in the "/​usr/​local/​bin"​ directory then run the command as "/​usr/​local/​bin/​aircrack-ng"​.
  
-  * Specify the location prefix when installing. ​ Lets say you have /usr/bin and /usr/sbin directories in your PATH, then do "make prefix=/usr install"​. This will install the programs to /usr/bin and /usr/sbin.+====== Installing pre-compiled binaries ======
  
-==== "​build"​ - No such file or directory ​==== +===== Linux/​BSD/​OSX =====
-On Debian-based distros, if you get something similar to:\\+
  
-  /bin/sh: line 0: cd: /​lib/​modules/​2.6.15-28-amd64-generic/​build:​ No such file or directory +With the exception of Linux penetration testing distributions,​ packages are usually out of date (OS X is the exception)In this case, uninstalling the package and installing from sources ​is the recommended way to go.
-  Makefile.inc:​66:​ *** /​lib/​modules/​2.6.15-28-amd64-generic/​build ​is missing, please set KERNELPATH. +
-  Stop.+
  
-Solution:+We offer packages for a number of Linux distributions in 64 bit thanks to [[https://​packagecloud.io/​aircrack-ng/​|PackageCloud.io]] so you can use your distro'​s package manager to install and keep Aircrack-ng up to date:
  
-The build directory gets installed together with the kernel headers, so either you lack the correct headers or your KERNELPATH is wrong. ​ Please check that `uname -r` returns "​2.6.15-28-amd64-generic"​. 
  
-Do a "sudo apt-get install linux-headers-`uname -r`" or just "sudo apt-get install linux-headers"​.+  * Debian 
 +  * Ubuntu 
 +  * Mint 
 +  * SLES 
 +  * OpenSuse 
 +  * Fedora 
 +  * RHEL 
 +  * CentOS 
 +  * Amazon Linux 
 +  * Elementary OS
  
-If uname returns exactly that string and the current headers are installed, the remove the headers and install them againAlso check /usr/src for installed header filesmaybe it got mixed up for whatever reason.+While most folks want to use our "​[[https://​packagecloud.io/aircrack-ng/release/​install|release]]"​ packages"​[[https://​packagecloud.io/​aircrack-ng/​git/​install|git]]"​ packages are available too for those who decide to use bleeding edge.
  
-In the above examples, needless to say, change "2.6.15-28-amd64-generic"​ to whatever you are running.+More details about them can be found in our [[https://​aircrack-ng.blogspot.com/​2018/​10/​aircrack-ng-packages.html|blog post]].
  
-==== "​openssl/​hmac.h"​ - No such file or directory ==== +On OSX, install it is via [[https://www.macports.org/​|Macports]] ​or [[https://brew.sh/|brew]]. Simply do "brew install aircrack-ng" or "sudo ports install ​aircrack-ng"
- +
-If you get something similar to:\\ +
- +
-   ​crypto.h:​12:​26:​ error: openssl/​hmac.h:​ No such file or directory +
-   ​crypto.h:​13:​25:​ error: openssl/​sha.h:​ No such file or directory +
-   ​crypto.h:​15:​25:​ error: openssl/​rc4.h:​ No such file or directory +
-   ​crypto.h:​16:​25:​ error: openssl/​aes.h:​ No such file or directory +
- +
-Solution: +
-You are missing the OpenSSL development package. ​ Depending on the distribution,​ download and install openssl-devel or libssl-devel (libssl-dev /Ubuntu/). Or worst case, install it from source: http://www.openssl.org+
- +
-==== "​zlib.h"​ No such file or directory ==== +
- +
-If you get something similar to: +
- +
-   ​wesside-ng.c:​54:​18:​ error: zlib.h: No such file or directory +
- +
-Solution: +
-You are missing the zlib development package. Depending on the distribution,​ download and install zlib-devel. ​ Or worst case, install it from source: http://​www.zlib.net. +
- +
-==== "​__le64"​ error on 64 bit machines when compiling ==== +
- +
-You get something similar to: +
- +
-   ​radiotap-parser.h:​29:​ error: conflicting types for ‘__le64’ +
-   /​usr/​include/​linux/​types.h:​158:​ error: previous declaration of ‘__le64’ was here +
- +
-See [[http://forum.aircrack-ng.org/index.php?​topic=3311.0|this thread]] for a solution. +
- +
-====== Installing pre-compiled binaries ====== +
-===== Linux ===== +
- +
-Open your package manager and install ​'​Aircrack-ng' package. Be sure to check that the version offered is up-to-date -- you may see problems with older versions, especially if you have a card for which support was added recently, e.g. ACX, Broadcom or Intel. Ubuntu and Debian are particularly problematic in this matter.+
  
 ===== Windows ===== ===== Windows =====
 The Windows version of the Aircrack-ng suite does not have an install program. You must manually install (unzipping archive) the software. The Windows version of the Aircrack-ng suite does not have an install program. You must manually install (unzipping archive) the software.
  
-Here are the steps to follow for Windows ​XP:+Here are the steps to follow for Windows:
  
-  * Download the latest version of the Aircrack-ng suite for Windows to your PC. The link for the zip file can be found on the [[http://​aircrack-ng.org|Wiki home page]].+  * Download the latest version of the Aircrack-ng suite for Windows to your computer. The link for the zip file can be found on the [[https://​aircrack-ng.org|Wiki home page]].
  
-  * Unzip the contents of the Aircrack-ng zip file into "​C:​\"​. This will create a directory called "​aircrack-ng-0.9.3-win". This directory name will vary based on the exact version that you downloaded. ​ This main directory contains three subdirectories - "​bin",​ "​src"​ and "​test"​.+  * Unzip the contents of the Aircrack-ng zip file into "​C:​\"​. This will create a directory called "​aircrack-ng-1.5.2-win". This directory name will vary based on the exact version that you downloaded. ​ This main directory contains three subdirectories - "​bin",​ "​src"​ and "​test"​.
  
-Prior to using the software, make sure to install the drivers for your particular wireless card. See this [[install_drivers#​windows|link]] for the instructions.+Prior to using the software, make sure to install the drivers for your particular wireless card. See this [[install_drivers#​windows|link]] for the instructions. We currently only support Airpcap; other adapters may be supported but require development of your own DLL so the different tools can interact with it.
  
-To now use the Aircrack-ng suite, start Windows Explorer and double click on **Aircrack-ng GUI.exe** inside "​bin"​ subdirectory. ​ The GUI requires ​[[http://​www.microsoft.com/​downloads/​details.aspx?​familyid=0856eacb-4362-4b0d-8edd-aab15c5e04f5&​displaylang=en|.NET Framework 2.0]] to run (.NET Frameworks ​1.0/1.1 are not able to run this executable, 2.0 or better **MUST** be installed).+To now use the Aircrack-ng suite, start Windows Explorer and double click on **Aircrack-ng GUI.exe** inside "​bin"​ subdirectory. ​ The GUI requires .NET version 4.6.1 to run.
  
-Alternatively,​ open a command prompt (Start menu -> Execute -> cmd.exe) and change to the  "​C:​\aircrack-ng-0.9-win\bin"​ directory and execute the individual commands. ​+Alternatively,​ open a command prompt (Start menu -> Execute -> cmd.exe) and change to the  "​C:​\aircrack-ng-1.5.2-win\bin"​ directory and execute the individual commands. ​
 \\ \\
 \\ \\
 \\ \\
-**Important notes**: ​+**Important notes**: 
 +  * [[airmon-ng|Airmon-ng]] is a Linux/​FreeBSD tool only.
   * Remember that Windows only supports a limited subset of the commands.   * Remember that Windows only supports a limited subset of the commands.
   * Some troubleshooting tips specific to XP and Vista can be found on this [[airodump-ng|page]].   * Some troubleshooting tips specific to XP and Vista can be found on this [[airodump-ng|page]].
- 
-====== Installing on Mac OSX ====== 
- 
-**Important note**: airodump-ng and aireplay-ng will not work under OSX natively. Which means, injection and capture will have to use other means. If you have an intel Mac (any recent-ish Mac is), check out the VMware Fusion option which is mentioned lower on this page. 
- 
-The simplest and easiest way to install on Mac OS X is via [[http://​www.macports.org/​|Macports]]. You simply do "sudo port install aircrack-ng"​. 
- 
-Alternatively,​ use the following instructions:​ 
- 
-  - Make sure you have Xcode installed on your Mac, which can be found on the installer CD/DVD which came with your Mac (or downloaded). 
-  - After getting the source you can do a simple "make && sudo make install"​ from the untarred directory. 
-  - When you use the stable, you need to rename the Makefile.osx to Makefile and when you use the dev version it will autodetect you are using Darwin and compile fine. 
- 
-Optional is openssl-dev and sqlite3 which can be installed through fink  
- 
-====== Installing on OpenBSD ====== 
- 
-See this [[http://​forum.aircrack-ng.org/​index.php?​topic=4658.0|thread]] for instructions on installing and using the Aircrack-ng suite on OpenBSD. 
- 
-====== Installing VMware Image - UNSUPPORTED ====== 
- 
-**Important Note**: Virtualization solutions (VMware/​VirtualBox/​Virtual PC/...) only work with USB cards. ​ Card that are PCI/​MiniPCI/​PCMCIA/​CardBus/​Express Card/PCI Express/​PCI-X/​MiniPCI Express won't work at all. 
- 
-===== Requirements ===== 
- 
-  * VMWare Workstation 6.02, VMWare Player 2.02 (freeware) or VMWare Fusion beta for intel based Mac's 
-  * Wireless USB with one of the following chipsets: 
-    * rtl8187 
-    * rt2570 
-    * rt73 
-  * Approximately 2Gb of hard disk space 
- 
-**Important note:** VMWare Workstation 6.5 (and maybe Player 2.5 too) is known not to work correctly with rtl8187 driver. ​ It uses the whole CPU and it seems to be hanging (it is really slow) for an unknown reason. 
-===== Starting ===== 
- 
-  - Install VMWare Workstation or Player 
-  - Download this VMware image [[http://​download.aircrack-ng.org/​vmware-aircrack-ng-v4.7z|here]] or via [[http://​www.fulldls.com/​download-app-1882388-vmwareaircrackngv4+7z.torrent|BitTorrent]] and unpack it somewhere. 
-  - Start VMware and select "​open"​. (Open the virtual machine) 
-  - Attach your USB adapter. 
-  - If the USB adapter is recognized automatically you'll find a small USB icon in the lower right corner of your VMWare window. ​ If not you have to attach it manually. 
- 
-**Notes:** 
-  * Uncompress the file on a filesystem that supports large files; NTFS, ext3, ... (all FAT filesystems,​ including FAT32, do not support large files). 
-  * Use [[http://​www.7-zip.org|7-zip]] or [[http://​www.rarlab.com/​|Winrar]] (at least latest stable version) on Windows. ​ For Linux (and other OSes), use [[http://​p7zip.sourceforge.net/​|p7zip]] (it should be in the repositories of your distribution). 
-  * Here are a few reasons why the download doesn'​t work: 
-    * That sounds logical but make sure the URL is correct. 
-    * Check your DNS, make sure it can resolve "​download.aircrack-ng.org"​ (by the way, the server answers to ping). ​ If it doesn'​t,​ use [[http://​www.opendns.org|OpenDNS]] (Primary: 208.67.222.222 - Secondary: 208.67.220.220). 
-  * You don't need any driver for wireless adapters (and other USB adapters) on the OS running VMware. 
-  * The login credentials for the image are user id "​root"​ with password "​root"​. On some versions the password is "​toor"​. 
-  * The [[faq#​is_vmware_supported|FAQ]] has some limited information about running the Aircrack-ng suite under VMWare. 
- 
-===== Manually attaching USB device ===== 
- 
-On VMware Player, the device should be shown in the title bar, click on it to activate it. 
-On VMware Workstation,​ use menu "VM --> Removable devices --> USB" and then select the device: 
- 
-{{ http://​pictures.aircrack-ng.org/​other/​vmware_usb.jpg }} 
- 
-It will automatically unplug the device from Windows and attach it to the virtual machine. 
- 
-===== Loading Wireless Device Drivers ===== 
- 
-The drivers can be loaded via the menu inside the VM: 
- 
-{{ http://​pictures.aircrack-ng.org/​other/​vmware_aircrack_menu.jpg }} 
install_aircrack.1523834767.txt.gz · Last modified: 2018/04/16 01:26 by mister_x